# Bryan Schumaker (5 / 20 / 2011)

import libsaria
import library
import update
import tree
import index

# Function pointers for conveniance
add_path    = library.add_path
get_attrs   = library.get_attrs
list_ids    = tree.list_ids
filter      = index.filter
is_visible  = index.is_visible
num_visible = index.num_visible

library.load()
tree.make_tree()
index.reindex()

def update_lib():
	update.update()
	tree.make_tree()
	index.reindex()
	libsaria.callbacks.library_updated()

def reset():
	library.reset()
	tree.make_tree()
